Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • App Installations
  • Atlassian GraphQL
  • Confluence
  • Forge Context
  • Forge Dynamic Modules
  • Forge Events
  • Forge KVS
  • Forge LLM
  • Forge Object Store
  • Forge Proxy
  • Forge Realtime
  • Forge SQL
  • Jira
Platform
Forge / Reference / APIs for Forge Containers

Forge LLM

Postman Collection
OpenAPI
GET

Get forge llm

Returns the list of supported AI models and their respective statuses

Request

Header parameters

forge-proxy-authorization

string

Required

Responses

Supported AI models and their respective statuses retrieved successfully

application/json

LLMListResponsePayload

Response Payload from LLM list requests

GET/forge/llm
1 2 3 4 curl --request GET \ --url '{FORGE_EGRESS_PROXY_URL}/forge/llm' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123'
200Response
1 2 3 4 5 6 7 8 { "models": [ { "model": "claude-sonnet-4-20250514", "status": "active" } ] }
POST

Post forge llm {model}

Proxy endpoint to make requests to the native Forge supported LLMs.

Request

Path parameters

model

LLM

Required

Header parameters

forge-proxy-authorization

string

Required

Request bodyapplication/json

messages

array<oneOf [System message, User message, Assistant message, Tool message]>

Required
top_p

number

max_completion_tokens

number

temperature

number

tools

array<LLMTool>

tool_choice

oneOf [string, LLMToolObject]

stream

boolean

Responses

Successful response

application/json

LLMResponsePayload

Response Payload from LLM requests

POST/forge/llm/{model}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 curl --request POST \ --url '{FORGE_EGRESS_PROXY_URL}/forge/llm/{model}' \ --header 'Accept: application/json' \ --header 'forge-proxy-authorization: Forge as=app,id=invocation-123' \ --header 'Content-Type: application/json' \ --data '{ "messages": [ { "role": "system", "content": "You are a helpful assistant." }, { "role": "user", "content": [ { "type": "text", "text": "What is the weather like in Melbourne?" } ] } ], "max_completion_tokens": 1000, "temperature": 0.7, "tools": [ { "type": "function", "function": { "name": "get_current_weather", "description": "Get the current weather in a given location", "parameters": { "type": "object", "properties": { "location": { "type": "string", "description": "The city and state, e.g. Sydney, NSW" }, "unit": { "type": "string", "enum": [ "celsius", "fahrenheit" ], "description": "The unit of temperature" } }, "required": [ "location" ] } } } ], "tool_choice": "auto" }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 { "choices": [ { "message": { "role": "assistant", "content": [ { "type": "text", "text": "To help you with the current weather in Melbourne, I will use the get_current_weather function." } ], "tool_calls": [ { "id": "tooluse_BnyEynAYSwmA4rAjNy6sUA", "type": "function", "function": { "name": "get_current_weather", "arguments": "{\"location\": \"Melbourne\", \"unit\": \"Celsius\"}" } } ] }, "finish_reason": "stop", "index": 0 } ], "usage": { "input_tokens": 10, "output_tokens": 15, "total_tokens": 25 } }

Rate this page: